%define oname   mutter

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 1
Summary:    The tiny CLI library
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/cloudhead/mutter
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     mutter-0.5.3-rspec2.patch
BuildRequires: rubygems
BuildRequires: rubygem(jeweler)
BuildRequires: rubygem(rspec)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
the tiny command-line interface library with lots of style

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.5.3-1.mga1
+ Revision: 51035
- imported package ruby-mutter


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.3-1mdv2011.0
- Initial package
